<html>
<head>
 <title>SMS client sample</title>
</head>
<body>
<h1>SMS client sample</h1>
<?php

	function getline($handle) {
		$out = '';
		
		while ((strpos($out, "\n") === false) and (!feof($handle)))
			$out .= fread($handle, 8192);
			
		if ((strlen($out) > 0) and ($out[strlen($out) - 1] == "\n"))
			$out = substr($out, 0, strlen($out) - 1);
		
		
		return $out;
	}

	if ((isset($number)) and (isset($body))) {
		
		$number = trim(stripslashes($number));
		$number_checked = "";
		for ($i = 0; $i < strlen($number); $i++) {
			if ((is_numeric($number[$i])) or ($number[$i] == "+"))
				$number_checked .= $number[$i];
		}
	
		$sock = fsockopen("localhost", 9500, $errno, $errstr, 30);
		if (!$sock)
			echo "<p><strong>Error: " . htmlspecialchars($errstr) . "(" . htmlspecialchars($errno) . ")</strong></p>";
		else {
			fwrite($sock, "SEND " . $number_checked . "\n");
			$resp = getline($sock);
			if (substr($resp, 0, 1) == "2") {
				foreach (explode("\n", trim(stripslashes($body))) as $line) {
					if (substr($line, 0, 1) == ".")
						fwrite($sock, ".");
					fwrite($sock, $line . "\n");
				}
				fwrite($sock, ".\n");
				$resp = getline($sock);
				if (substr($resp, 0, 1) == "2")
					echo "<p><strong>Message sent OK</strong></p>";
				else
					echo "<p><strong>Error: " . htmlspecialchars($resp)  . "</strong></p>";
			} else
				echo "<p><strong>Error: " . htmlspecialchars($resp)  . "</strong></p>";
			fclose($sock);
		}
	}
	
?>
<form action="<?php echo $PHP_SELF; ?>" method="post">
	<table>
		<tr>
			<td><strong>Receiver GSM number</strong></td>
			<td><input type="text" name="number" /></td>
		</tr>
		<tr>
			<td><strong>Message body</strong></td>
			<td><textarea name="body" cols="80" rows="25"  wrap="virtual"></textarea></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="Send" /></td>
		</tr>
	</table>
</form>
</body>
</html>
