/***********************************************************************

  c35sms: Utils.h
  by Martin Decky
  
  Redistribution of this file is permitted under the GNU Public License.

  1.0		Initial version

***********************************************************************/


#ifndef __UTILS_H__
#define __UTILS_H__


#include <string>


using namespace std;


string hexEncode(const int value);                       /**< Convert integer into two hexadecimal digits */
string decEncode(const int value);                       /**< Convert integer into decimal representation */
long int intDecode(const string & decimal);              /**< Convert string to long int */
string gsmEncode(string & msg, string::size_type & len); /**< Convert string to GSM encoding */


#endif
